Perform various operations on credit report records.
Operations
getCredRep
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCredRepLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getCredRepPOST /nexum/627/2022.01/account/getCredRep HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CredRepLocator": 0,
"nxAttributes": {
"customFields": {}
}
}getCredRepSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCredRepLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getCredRepSelectFieldsPOST /nexum/627/2022.01/account/getCredRepSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CredRepLocator": 0,
"SelectableFields": {
"IncludeAllCredRepFields": true,
"CredRepFields": {
"AccessPin": true,
"ActionText": true,
"ActualPaymentAmt": true,
"AddrAnalysisOid": true,
"AddrVerifyAcct": true,
"Alias": [
0
],
"AppAlteredForged": true,
"AppearanceInconsistent": true,
"ArmAlert": true,
"AssociationCode": true,
"AutoCapCost": true,
"AutoDownPayment": true,
"AutoLeaseTerm": true,
"AutoLoanType": true,
"AutoMake": true,
"AutoModel": true,
"AutoMoneyFactor": true,
"AutoMsrp": true,
"AutoRebate": true,
"AutoResidualFactor": true
},
"CredRepItemSelectableFields": {
"IncludeAllCredRepItemFields": true,
"CredRepItemFields": {
"Amount": [
0
],
"Ch1": [
0
],
"Ch10": [
0
],
"Ch15": [
0
],
"Ch2": [
0
],
"Ch26": [
0
],
"Ch4": [
0
],
"ChLong": [
0
],
"Code": [
0
],
"Date": [
0
],
"SegExtended": true,
"SegmentType": true,
"SubsegmentType": true
}
}
},
"nxAttributes": {
"customFields": {}
}
}getCredRepSelectFieldsFilterChildren
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCredRepLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getCredRepSelectFieldsFilterChildrenPOST /nexum/627/2022.01/account/getCredRepSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CredRepLocator": 0,
"SelectableFields": {
"IncludeAllCredRepFields": true,
"CredRepFields": {
"AccessPin": true,
"ActionText": true,
"ActualPaymentAmt": true,
"AddrAnalysisOid": true,
"AddrVerifyAcct": true,
"Alias": [
0
],
"AppAlteredForged": true,
"AppearanceInconsistent": true,
"ArmAlert": true,
"AssociationCode": true,
"AutoCapCost": true,
"AutoDownPayment": true,
"AutoLeaseTerm": true,
"AutoLoanType": true,
"AutoMake": true,
"AutoModel": true,
"AutoMoneyFactor": true,
"AutoMsrp": true,
"AutoRebate": true,
"AutoResidualFactor": true
},
"CredRepItemSelectableFields": {
"IncludeAllCredRepItemFields": true,
"CredRepItemFields": {
"Amount": [
0
],
"Ch1": [
0
],
"Ch10": [
0
],
"Ch15": [
0
],
"Ch2": [
0
],
"Ch26": [
0
],
"Ch4": [
0
],
"ChLong": [
0
],
"Code": [
0
],
"Date": [
0
],
"SegExtended": true,
"SegmentType": true,
"SubsegmentType": true
}
}
},
"ChildrenSearchFilter": {
"CredRepItemFilter": {
"Query": "string"
}
},
"nxAttributes": {
"customFields": {}
}
}getCredRepPagedList
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getCredRepPagedListPOST /nexum/627/2022.01/account/getCredRepPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCredRepListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getCredRepListSelectFieldsPOST /nexum/627/2022.01/account/getCredRepListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"SelectableFields": {
"IncludeAllCredRepFields": true,
"CredRepFields": {
"AccessPin": true,
"ActionText": true,
"ActualPaymentAmt": true,
"AddrAnalysisOid": true,
"AddrVerifyAcct": true,
"Alias": [
0
],
"AppAlteredForged": true,
"AppearanceInconsistent": true,
"ArmAlert": true,
"AssociationCode": true,
"AutoCapCost": true,
"AutoDownPayment": true,
"AutoLeaseTerm": true,
"AutoLoanType": true,
"AutoMake": true,
"AutoModel": true,
"AutoMoneyFactor": true,
"AutoMsrp": true,
"AutoRebate": true,
"AutoResidualFactor": true
},
"CredRepItemSelectableFields": {
"IncludeAllCredRepItemFields": true,
"CredRepItemFields": {
"Amount": [
0
],
"Ch1": [
0
],
"Ch10": [
0
],
"Ch15": [
0
],
"Ch2": [
0
],
"Ch26": [
0
],
"Ch4": [
0
],
"ChLong": [
0
],
"Code": [
0
],
"Date": [
0
],
"SegExtended": true,
"SegmentType": true,
"SubsegmentType": true
}
}
},
"nxAttributes": {
"customFields": {}
}
}searchCredRepSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/searchCredRepSelectFieldsPOST /nexum/627/2022.01/account/searchCredRepSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"SelectableFields": {
"IncludeAllCredRepFields": true,
"CredRepFields": {
"AccessPin": true,
"ActionText": true,
"ActualPaymentAmt": true,
"AddrAnalysisOid": true,
"AddrVerifyAcct": true,
"Alias": [
0
],
"AppAlteredForged": true,
"AppearanceInconsistent": true,
"ArmAlert": true,
"AssociationCode": true,
"AutoCapCost": true,
"AutoDownPayment": true,
"AutoLeaseTerm": true,
"AutoLoanType": true,
"AutoMake": true,
"AutoModel": true,
"AutoMoneyFactor": true,
"AutoMsrp": true,
"AutoRebate": true,
"AutoResidualFactor": true
},
"CredRepItemSelectableFields": {
"IncludeAllCredRepItemFields": true,
"CredRepItemFields": {
"Amount": [
0
],
"Ch1": [
0
],
"Ch10": [
0
],
"Ch15": [
0
],
"Ch2": [
0
],
"Ch26": [
0
],
"Ch4": [
0
],
"ChLong": [
0
],
"Code": [
0
],
"Date": [
0
],
"SegExtended": true,
"SegmentType": true,
"SubsegmentType": true
}
}
},
"SearchFilter": {
"Query": "string",
"CredRepChildrenFilter": {
"CredRepItemFilter": {
"Query": "string"
}
}
},
"nxAttributes": {
"customFields": {}
}
}getCredRepPagedListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getCredRepPagedListSelectFieldsPOST /nexum/627/2022.01/account/getCredRepPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllCredRepFields": false,
"CredRepFields": {
"Locator": true,
"Bureau": true,
"RequestDate": true,
"RequestTime": true,
"CompletionCode": true,
"LastName": true,
"LoanAmount": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchCredRepPagedSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/searchCredRepPagedSelectFieldsPOST /nexum/627/2022.01/account/searchCredRepPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000000000",
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllCredRepFields": false,
"CredRepFields": {
"Locator": true,
"Bureau": true,
"RequestDate": true,
"RequestTime": true,
"CompletionCode": true,
"LastName": true,
"LoanAmount": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getCredRepItemPagedList
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCredRepLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getCredRepItemPagedListPOST /nexum/627/2022.01/account/getCredRepItemPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CredRepLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCredRepItemListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCredRepLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/getCredRepItemListSelectFieldsPOST /nexum/627/2022.01/account/getCredRepItemListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CredRepLocator": 0,
"SelectableFields": {
"IncludeAllCredRepItemFields": true,
"CredRepItemFields": {
"Amount": [
0
],
"Ch1": [
0
],
"Ch10": [
0
],
"Ch15": [
0
],
"Ch2": [
0
],
"Ch26": [
0
],
"Ch4": [
0
],
"ChLong": [
0
],
"Code": [
0
],
"Date": [
0
],
"SegExtended": true,
"SegmentType": true,
"SubsegmentType": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCredRepItemSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCredRepLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/account/searchCredRepItemSelectFieldsPOST /nexum/627/2022.01/account/searchCredRepItemSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CredRepLocator": 0,
"SelectableFields": {
"IncludeAllCredRepItemFields": true,
"CredRepItemFields": {
"Amount": [
0
],
"Ch1": [
0
],
"Ch10": [
0
],
"Ch15": [
0
],
"Ch2": [
0
],
"Ch26": [
0
],
"Ch4": [
0
],
"ChLong": [
0
],
"Code": [
0
],
"Date": [
0
],
"SegExtended": true,
"SegmentType": true,
"SubsegmentType": true
}
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {}
}
}getCredRepItemPagedListSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCredRepLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/getCredRepItemPagedListSelectFieldsPOST /nexum/627/2022.01/account/getCredRepItemPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CredRepLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCredRepItemFields": true,
"CredRepItemFields": {
"Amount": [
0
],
"Ch1": [
0
],
"Ch10": [
0
],
"Ch15": [
0
],
"Ch2": [
0
],
"Ch26": [
0
],
"Ch4": [
0
],
"ChLong": [
0
],
"Code": [
0
],
"Date": [
0
],
"SegExtended": true,
"SegmentType": true,
"SubsegmentType": true
}
},
"nxAttributes": {
"customFields": {}
}
}searchCredRepItemPagedSelectFields
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
AccountNumberstringoptionalCredRepLocatorintegeroptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/account/searchCredRepItemPagedSelectFieldsPOST /nexum/627/2022.01/account/searchCredRepItemPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "string",
"CredRepLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "string"
},
"SelectableFields": {
"IncludeAllCredRepItemFields": true,
"CredRepItemFields": {
"Amount": [
0
],
"Ch1": [
0
],
"Ch10": [
0
],
"Ch15": [
0
],
"Ch2": [
0
],
"Ch26": [
0
],
"Ch4": [
0
],
"ChLong": [
0
],
"Code": [
0
],
"Date": [
0
],
"SegExtended": true,
"SegmentType": true,
"SubsegmentType": true
}
},
"Query": "string",
"nxAttributes": {
"customFields": {}
}
}